
export default [
    {
      path: '/',
      key: 'index',
      icon: 'logo-xbox',
      title: '登录',
      visable: false,
      component: () => import("@/view/index/index.vue")
    },
    {
      path: '/main',
      key: 'main',
      icon: 'md-home',
      title: '首页',
      visable: false,
      component: () => import("@/view/main/index.vue")
    },
    {
      path: '/home',
      key: 'home',
      icon: 'ios-speedometer-outline',
      title: '首页',
      visable: false,
      component: () => import("@/view/home/index.vue")
    },
    {
      path: '/company',
      key: 'company',
      icon: 'ios-globe-outline',
      title: '企业管理',
      visable: false,
      children: [
        {
          path: '/company/companys',
          key: 'companys',
          title: '企业列表',
          visable: false,
          component: () => import("@/view/company/companys/index.vue")
        }, 
        {
          path: '/company/info',
          key: 'info',
          title: '企业信息',
          visable: false,
          component: () => import("@/view/company/info/index.vue")
        }, 
        {
          path: '/company/accounts',
          key: 'accounts',
          title: '帐号列表',
          visable: false,
          component: () => import("@/view/company/accounts/index.vue")
        }
      ]
    }, 
    {
      path: '/data',
      key: 'data',
      icon: 'ios-folder-outline',
      title: '基础数据',
      visable: false,
      children: [
        {
          path: '/data/source',
          key: 'source',
          title: '车源管理',
          visable: false,
          component: () => import("@/view/data/source/index.vue")
        }, 
        {
          path: '/data/model',
          key: 'model',
          title: '品牌型号',
          visable: false,
          component: () => import("@/view/data/model/index.vue")
        }, 
        {
          path: '/data/fee',
          key: 'fee',
          title: '费用项',
          visable: false,
          component: () => import("@/view/data/fee/index.vue")
        }
      ]
    },
    {
      path: '/vehicle',
      key: 'vehicle',
      icon: 'ios-car-outline',
      title: '车辆管理',
      visable: false,
      children: [
        {
          path: '/vehicle/list',
          key: 'vehicle_list',
          title: '车辆查询',
          visable: false,
          component: () => import("@/view/vehicle/list/index.vue")
        }, 
      ]
    },
    {
      path: '/source_contract',
      key: 'source_contract',
      icon: 'ios-document-outline',
      title: '车源合同',
      visable: false,
      children: [
        {
          path: '/source_contract/list',
          key: 'source_contract_list',
          title: '合同查询',
          visable: false,
          component: () => import("@/view/source_contract/list/index.vue")
        }, 
      ]
    },
    {
      path: '/driver',
      key: 'driver',
      icon: 'ios-people-outline',
      title: '司机管理',
      visable: false,
      children: [
        {
          path: '/driver/list',
          key: 'list',
          title: '司机查询',
          visable: false,
          component: () => import("@/view/driver/list/index.vue")
        }, 
      ]
    },
    {
      path: '/driver_contract',
      key: 'driver_contract',
      icon: 'ios-document-outline',
      title: '司机合同',
      visable: false,
      children: [
        {
          path: '/driver_contract/list',
          key: 'driver_contract_list',
          title: '合同查询',
          visable: false,
          component: () => import("@/view/driver_contract/list/index.vue")
        },
        {
          path: '/driver_contract/receivables',
          key: 'driver_receivables',
          title: '应收帐款',
          visable: false,
          component: () => import("@/view/driver_contract/receivables/index.vue")
        },
        {
          path: '/driver_contract/bill_logs',
          key: 'driver_bill_logs',
          title: '帐款日志',
          visable: false,
          component: () => import("@/view/driver_contract/bill_logs/index.vue")
        },
      ]
    },
  ]
