import store from "@/store";
const { dispatch } = store;
import { Timing } from "@/components/index.js";
import {levelOption} from "@/libs/constants.js";


export default {
  components: { Timing, levelOption },
  data() {
    return {
      visible: false,
      submitLoading: false,
      levelOption: levelOption,

      saveCompanyRule: {
        name: [{ required: true, message: "请输入企业名称", trigger: "blur" }],
        abbr: [{ required: true, message: "请输入企业简称", trigger: "blur" }],
        contactName: [{ required: true, message: "请输入联系人", trigger: "blur" }],
        contactPhone: [{ required: true, message: "请输入联系电话", trigger: "blur" }],
        expiredDate: [{ type: "date", required: true, message: "请输入有效期", trigger: "blur" }],
      },
      companyForm: {
        name: null,
        abbr: null,
        address: null,
        contactName: null,
        contactPhone: null,
        expiredDate: null,
        level: 1,
      }
    };
  },
  computed: {

  },
  watch: {
    visible(show) {
      this.submitLoading = false;
      this.$refs.companyForm.resetFields();
      if (show) {
      }
    },
  },
  methods: {
    saveCompany() {
      this.$refs.companyForm.validate(valid => {
        if (valid) {
          this.submitLoading = true;
          const requestData = {
            name: this.companyForm.name,
            abbr: this.companyForm.abbr,
            address: this.companyForm.address,
            contactName: this.companyForm.contactName,
            contactPhone: this.companyForm.contactPhone,
            expiredDate: this.companyForm.expiredDate,
            level: this.companyForm.level,
          }
          dispatch("invoke/asyncCreateCompany", requestData).then(({ code }) => {
            this.submitLoading = false;
            if (code === 1) {
              this.$Message.success("添加成功");
              this.$emit("search");
              this.visible = false;
            }
          });
        }
      });
    }
  },
  mounted() {
  }
};
