import store from "@/store";
const { dispatch } = store;
import { Timing } from "@/components/index.js";

export default {
  components: { Timing },
  data() {
    return {
      visible: false,
      submitLoading: false,
      company: null,

      saveCompanyRule: {
        expiredDate: [{ type: "date", required: true, message: "请输入有效期", trigger: "blur" }],
      },
      companyForm: {
        id: 0,
        name: null,
        expiredDate: null
      }
    };
  },
  computed: {

  },
  watch: {
    visible(show) {
      this.submitLoading = false;
      if (show) {
        this.$refs.companyForm.resetFields();

        this.companyForm.id = this.company.id;
        this.companyForm.name = this.company.name;
        this.companyForm.expiredDate = this.company.expiredDate;
      }
    },
  },
  methods: {
    updateExpired() {
      this.$refs.companyForm.validate(valid => {
        if (valid) {
          this.submitLoading = true;
          const requestData = {
            id: this.companyForm.id,
            expiredDate: this.companyForm.expiredDate
          }
          dispatch("invoke/asyncUpdateCompanyExpired", requestData).then(({ code }) => {
            this.submitLoading = false;
            if (code === 1) {
              this.$Message.success("修改成功");
              this.$emit("search");
              this.visible = false;
            }
          });
        }
      });
    }
  },
  mounted() {
  }
};
