import {timingOption} from "@/libs/constants.js";

export const columns = (disable, enable) => [
  {
    title: "ID",
    key: "id",
    align: "center",
    minWidth: 60,
  },
  {
    title: "费用名称",
    key: "name",
    align: "center",
    minWidth: 100,
  },
  {
    title: "收费时机",
    align: "center",
    minWidth: 100,
    render(h, { row }) {
      try {
        const { timing } = row;
        const [{ text }] = timingOption.filter(item => item.value === timing);
        if(!text) {
            text = "";
        }
        return h("span", text);
      } catch(e) {
        console.log(e);
      }
    }
  },
  {
    title: "金额",
    key: "amount",
    align: "center",
    minWidth: 100,
  },
  {
    title: "状态",
    align: "center",
    minWidth: 100,
    render(h, { row }) {
      try {
        const { status } = row;
        return h("span", {style: {color: status == 1 ? 'green' : 'red' }}, status == 1 ? '有效' : '失效');
      } catch(e) {
        console.log(e);
      }
    }
  },
  {
    title: "操作",
    align: "center",
    fixed: 'right',
    width: 180,
    render(h, { row }) {
      try {
        const { status } = row;

        var disableTag = h(
            "Poptip",
            {
                props: { title: "确定停用当前费用项吗？", transfer: true, confirm: true, size: "small" },
                on: { "on-ok": () => { disable(row); } }
            },
            [
                h("Button", {props: {type: "error", size: "small"}}, "停用")
            ]
        );
        var enableTag = h(
            "Button",
            {
                props: { type: "primary", size: "small" },
                on: { click: () => { enable(row); }}
            },
            "启用"
        );
        
        return h("span", status == 1 ? [disableTag] : [enableTag]);
      } catch(e) {
        console.log(e);
      }
    }
  },
];
