import store from "@/store";
const { dispatch } = store;

export default {
  components: {  },
  data() {
    return {
      visible: false,
      submitLoading: false,
      dataFormRule: {
        code: [
          {
            required: true,
            message: "请输入品牌编码",
            trigger: "blur"
          }
        ],
        name: [
          {
            required: true,
            message: "请输入品牌名称",
            trigger: "blur"
          }
        ],
      },
      dataForm: {
        code: "",
        name: "",
        type: 6,
      }
    };
  },
  watch: {
    visible(show) {
      this.submitLoading = false;
      this.$refs.dataForm.resetFields();
    },
  },
  methods: {
    saveData() {
      this.$refs.dataForm.validate(valid => {
        if (valid) {
          this.submitLoading = true;
          
          dispatch("invoke/asyncCreateData", this.dataForm).then(({ code }) => {
            this.submitLoading = false;
            if (code === 1) {
              this.$Message.success("添加成功");
              this.$emit("getBrands");
              this.visible = false;
            }
          });
        }
      });
    }
  },
};
