import store from "@/store";
const { dispatch } = store;
import { columns } from "./helper.js";
import AddDriver from "../add/index.vue";
import EditDriver from "../edit/index.vue";

export default {
  components: { AddDriver, EditDriver },
  data() {
    return {
      loading: false,
      columns: [], 
      name: "",
      phone: "",
      identityNumber: "",

      changeCurrent: 1,
      data: {
        total:0,
        current: 1,
        records:[],
      },
      page: {
        size: 10,
      },
    }
  },
  methods: {
    showEdit(driver) {
      this.$refs.editDriver.driver = driver;
      this.$refs.editDriver.visible = true;
    },
    search(current = 1, driver) {  
      this.searchForm = {
        name: this.name,
        phone: this.phone,
        identityNumber: this.identityNumber,
      };

      this.loading = true
      const initQuery = {
        current,
        size: this.page.size,
        records: this.searchForm
      };
      dispatch("invoke/asyncListDriver", {
        ...initQuery
      }).then(({ data }) => {
        this.loading = false
        if (data != null) {
          this.data = {...data};
        } else {
          this.data = {
            total:0,
            current: 1,
            records:[],
          };
        }
      });
    },
    changePage(current) {
      this.search(current);
      this.changeCurrent = current
    },
    changeSize(value) { 
      this.page.size = value
      this.search();
    },
  },
  mounted() {
    this.columns = columns(this.search, this.showEdit);
    this.search();
  }
};
