import { paymentStatusOption } from "@/libs/constants.js";

export const columns = (search, showContract, showDriver, showVehicle, showPaying, showDelay) => [
  // {
  //   title: "id",
  //   key: "id",
  //   align: "center",
  //   width: 60,
  // },
  {
    title: "计划类型",
    key: "planName",
    align: "center",
    minWidth: 80,
  },
  {
    title: "日志类型",
    key: "action",
    align: "center",
    minWidth: 80,
  },
  {
    title: "车牌号",
    key: "plateNo",
    align: "center",
    minWidth: 100,
  },
  {
    title: "品牌/型号",
    align: "center",
    minWidth: 120,
    render(h, { row }) {
      try {
        const { brandName, model } = row;
        return h("span", `${brandName} / ${model}`);
      } catch(e) {
        console.log(e);
      }
    }
  },
  {
    title: "司机姓名",
    key: "driverName",
    align: "center",
    minWidth: 100,
  },
  {
    title: "司机手机号",
    key: "driverPhone",
    align: "center",
    minWidth: 100,
  },
  {
    title: "应收金额",
    key: "payableAmount",
    align: "center",
    minWidth: 80,
  },
  {
    title: "实收金额",
    key: "amount",
    align: "center",
    minWidth: 80,
  },
  {
    title: "计划日期",
    key: "planDate",
    align: "center",
    minWidth: 120,
  },
  {
    title: "收款时间",
    key: "createTime",
    align: "center",
    minWidth: 140,
  },
  {
    title: "收款人",
    key: "createByName",
    align: "center",
    minWidth: 120,
  },
  {
    title: "备注",
    key: "remark",
    align: "center",
    width: 200,
  },
];
