import store from "@/store";
const { dispatch } = store;

export default {
    components: { },
    data() {
      return {
        loading: false,
        data: null,
      }
    },
    methods: { 
      getData() {
        this.loading = true;
        dispatch("invoke/asyncGetDashboardData", null).then(response => {
          this.loading = false;
          this.setData(response.data);
        });
      },
      setData(data) {
        this.data = data;
      }
    },
    mounted() {
      this.getData();
    }
  };
  