import store from "@/store";
import routers from "@/router/routers.js";
import "./main.less";
const { dispatch } = store;
import AvatarView from "./avatar/index.vue";

export default {
    components: { AvatarView },
    data() {
      return {
        maps:[],
        currentView: null,
        routers,
      }
    },
    methods: {
        setMenus() {
            var tokenInfo = JSON.parse(localStorage.getItem("tokenInfo"));
            if(!tokenInfo) {
                this.$Message.error('token获取失败');
                return;
            }
            var menusJson = JSON.parse(tokenInfo.menus);
            menusJson.forEach(item => {
                var menu = this.getMenuFromRouter(item.key);
                if(!menu) {
                    return;
                }
                menu.visable = true;

                if(item.children) {
                    item.children.forEach(childItem => {
                        var childMenu = this.getMenuFromRouter(childItem.key);
                        if(!childMenu) {
                            return;
                        }
                        childMenu.visable = true;
                    })
                }
            });
        },
        clearMenus() {
            this.maps = [];
            for(var i in routers) {
                var router = routers[i];
                router.visable = false;

                if(!router.children || router.children.length<=0) {
                    continue;
                }
                for(var j in router.children) {
                    var childRouter = router.children[j];
                    childRouter.visable = false;
                }
            }
        },
        getMenuFromRouter(key) {
            var maps = [];
            for(var i in routers) {
                var router = routers[i];
                if(router.key == key) {
                    maps.push(router.title);
                    router.maps = maps;
                    return router;
                }
                if(!router.children || router.children.length<=0) {
                    continue;
                }
                for(var j in router.children) {
                    try{
                        var childRouter = router.children[j];
                        if(childRouter.key == key) {
                            maps.push(router.title);
                            maps.push(childRouter.title);
                            childRouter.maps = maps;
                            return childRouter;
                        }
                    } catch(e) {
                        console.log(router);
                    }
                }
            }
        },
        onMenuSelect(name) {
            var router = this.getMenuFromRouter(name);
            this.currentView = router.component;

            if(router.maps) {
                for(var i=0; i<router.maps.length; i++){
                    if(router.maps[i] == '首页') {
                        this.maps = [];
                        return;
                    }
                }
            }
            this.maps = router.maps;
        }
    },
    mounted() {
        this.clearMenus();
        this.setMenus();
        this.onMenuSelect("home");
    }
  };