import store from "@/store";
const { dispatch } = store;
import { columns } from "./helper.js";
import AddVehicle from "../add/index.vue";
import EditVehicle from "../edit/index.vue";

export default {
  components: { AddVehicle, EditVehicle },
  data() {
    return {
      brands: null,
      loading: false,
      columns: [], 
      plateNo: "",
      brandName: "",

      changeCurrent: 1,
      data: {
        total:0,
        current: 1,
        records:[],
      },
      page: {
        size: 10,
      },
    }
  },
  methods: {
    getBrands() {
      dispatch("invoke/asyncListBrand").then(({ data }) => {
        this.brands = data;
      });
    },
    disable(company) {
      dispatch("invoke/asyncUpdateCompanyStatus", company);
    },
    enable(company) {
      dispatch("invoke/asyncUpdateCompanyStatus", company);
    },
    updateExpired(company) {
      dispatch("invoke/asyncUpdateCompanyExpired", company);
    },
    updateCompany(company) {
      dispatch("invoke/asyncUpdateCompany", company);
    },
    brandChange(item) {
      if(item){
        this.brandName = item.label;
      } else {
        this.brandName = "";
      }
    },
    showEdit(vehicle) {
      this.$refs.editVehicle.vehicle = vehicle;
      this.$refs.editVehicle.visible = true;
    },
    search(current = 1, v) {
      this.searchForm = {
        plateNo: this.plateNo,
        brandName: this.brandName,
      };

      this.loading = true
      const initQuery = {
        current,
        size: this.page.size,
        records: this.searchForm
      };
      dispatch("invoke/asyncListVehicle", {
        ...initQuery
      }).then(({ data }) => {
        this.loading = false;
        if (data != null) {
          this.data = {...data};
        } else {
          this.data = {
            total:0,
            current: 1,
            records:[],
          };
        }
      });
    },
    changePage(current) {
      this.search(current);
      this.changeCurrent = current
    },
    changeSize(value) { 
      this.page.size = value
      this.search();
    },
  },
  mounted() {
    this.getBrands();
    this.columns = columns(this.search, this.showEdit);
    this.search();
  }
};
